INTERACT FORUM

Please login or register.

Login with username, password and session length
Advanced search  
Pages: [1]   Go Down

Author Topic: Info on MC31 builds  (Read 5004 times)

bob

  • Administrator
  • Citizen of the Universe
  • *****
  • Posts: 13613
Info on MC31 builds
« on: May 12, 2023, 11:54:09 am »

We are switching to Bullseye (current Debian stable) as the development environment from Buster now that Buster is out of support.

This means that for Debian users, Bullseye will be the minimum required version.
For non-Debian users, it mainly depends on the version of libc, which will now be 2.31 at a minimum.

Here are the basic required package versions:

libc6: 2.31
libasound2: 1.24
libuuid1: 2.33
libx11-6: 2:1.6
libxext6: 2:1.3
libxcb1: 1.2.162
libxdmcp6: 1:1.2.162
libstdc++6: 10.2.1
libgtk-3-0: 3.24
libgl1
libpango-1.0-0: 1.42 or libpango1.0-0: 1.42
libpangoft2-1.0-0: 1.42 or libpango-cairo-1.0-0: 1.42
libnss3: 2:3.61
libnspr4: 2:4.29
python: 2.7 or python2: 2.7 or python3
xdg-utils
libgomp1: 10.2.1
libfribidi0: 1.0.8
libfontconfig1: 2.13
libfreetype6: 2.10.4
libharfbuzz0b: 2.7.4
libgbm1: 20.3.5
libva2: 2.10.0
liblcms2-2: 2.12
libvulkan1: 1.2.162
mesa-vulkan-drivers
vulkan-icd

Also note that the chromium plugin no longer supports the i386 build so MC i386 will revert to using libwebkit2gtk-4.0-37 to provide an internal browser.
Logged

Not Me

  • Recent member
  • *
  • Posts: 21
Re: Info on MC31 builds
« Reply #1 on: May 13, 2023, 07:45:37 am »

All well and good but where ARE the downloads for version 31? There don't seem to be any Linux downloads. The download page sends me to an infinite loop that keeps sending me to messages that refer me back to the download page. So I am guessing that the Linux version is NOT available yet? Will their be any notice when it is available?
Logged

Ekpen

  • Citizen of the Universe
  • *****
  • Posts: 675
Re: Info on MC31 builds
« Reply #2 on: May 13, 2023, 09:10:15 am »

All well and good but where ARE the downloads for version 31? Their don't seem to be any Linux downloads. The download page sends me to an infinite loop that keeps sending me to messages that refer me back to the download page. So I am guessing that the Linux version is NOT available yet? Will their be any notice when it is available?
+1.
I wrote about the link not working.
thanks.
George Omoregie.
Logged

JimH

  • Administrator
  • Citizen of the Universe
  • *****
  • Posts: 71750
  • Where did I put my teeth?
Re: Info on MC31 builds
« Reply #3 on: May 13, 2023, 11:11:14 am »

You'll see it on this board next week.
Logged

Ekpen

  • Citizen of the Universe
  • *****
  • Posts: 675
Re: Info on MC31 builds
« Reply #4 on: May 13, 2023, 11:58:14 am »

Thanks for the update.
George Omoregie.
Logged

bob

  • Administrator
  • Citizen of the Universe
  • *****
  • Posts: 13613
Re: Info on MC31 builds
« Reply #5 on: May 15, 2023, 07:58:16 pm »

We are thinking of discontinuing the i386 build since it's not possible to build a chromium plugin for it any more (it uses webkitgtk instead).

It would be good to hear from people that this would affect.
Logged

whoareyou

  • Galactic Citizen
  • ****
  • Posts: 386
Re: Info on MC31 builds
« Reply #6 on: May 19, 2023, 08:50:26 am »

I use (much) older laptop as controller for JR (also do other non- MC stuff on it).  I like this setup very much, and it works great. 
 
Would be disappointed to lose ability to install on this older machine.
Thanks
Logged
Windows 11 Pro
Intel i7-12700K / 32MBRam /
ASUS Dual GeForce RTX 4070
4K Sony x900h

drmimosa

  • MC Beta Team
  • Citizen of the Universe
  • *****
  • Posts: 688
Re: Info on MC31 builds
« Reply #7 on: May 19, 2023, 08:55:41 am »

Bob, will this impact users who are already using Debian "Bookworm" (the next version after Bullseye)?

I have Ubuntu 22.04 LTS and it is based on Debian Bookworm, just wanted to double check before I upgrade.
Logged

bob

  • Administrator
  • Citizen of the Universe
  • *****
  • Posts: 13613
Re: Info on MC31 builds
« Reply #8 on: May 19, 2023, 03:36:32 pm »

Bob, will this impact users who are already using Debian "Bookworm" (the next version after Bullseye)?

I have Ubuntu 22.04 LTS and it is based on Debian Bookworm, just wanted to double check before I upgrade.
It's always FORWARD compatible, so you will have no issue.
Bookworm isn't the stable release until June 10th BTW.
Logged

bob

  • Administrator
  • Citizen of the Universe
  • *****
  • Posts: 13613
Re: Info on MC31 builds
« Reply #9 on: May 19, 2023, 03:37:40 pm »

I use (much) older laptop as controller for JR (also do other non- MC stuff on it).  I like this setup very much, and it works great. 
 
Would be disappointed to lose ability to install on this older machine.
Thanks
Ok +1 for i386 :)
Logged

danrien

  • Galactic Citizen
  • ****
  • Posts: 369
  • Chillin
Re: Info on MC31 builds
« Reply #10 on: June 07, 2023, 04:16:52 pm »

Any chance of a Flatpak coming along to save us more careless souls from dependency confusion?
Logged
http://davidvedvick.info

"Always be yourself. Unless you can be Batman. Always be Batman." - Anonymous

Awesome Donkey

  • Administrator
  • Citizen of the Universe
  • *****
  • Posts: 7492
  • When Summer comes...
Re: Info on MC31 builds
« Reply #11 on: June 08, 2023, 02:55:32 am »

Any chance of a Flatpak coming along to save us more careless souls from dependency confusion?

It's been requested, but may not be doable. Would love to see it too if it was possible (so I could install MC on my Steam Deck) even though I'm not really thrilled security-wise regarding Flatpak, Snap, AppImage, etc.

https://yabb.jriver.com/interact/index.php/topic,135996.msg942300.html#msg942300
Logged
I don't work for JRiver... I help keep the forums safe from Viagra and other sources of sketchy pharmaceuticals.

Windows 11 2024 Update (24H2) 64-bit + Ubuntu 24.04 LTS Noble Numbat 64-bit | Windows 11 2024 Update (24H2) 64-bit (Intel N305 Fanless NUC 16GB RAM/500GB M.2 NVMe SSD)
JRiver Media Center 32 (Windows + Linux) | iFi ZEN DAC 3 | JBL 306P MkII Studio Monitors | Audio-Technica ATH-M50x Headphones

cthdt

  • Recent member
  • *
  • Posts: 9
Re: Info on MC31 builds
« Reply #12 on: August 10, 2023, 11:17:43 am »

We are switching to Bullseye (current Debian stable) as the development environment from Buster now that Buster is out of support.


I am using zorinOS 16.3 which is ubuntu 22.04 LTS.
Is there any build or process that can work for me?
Logged

Awesome Donkey

  • Administrator
  • Citizen of the Universe
  • *****
  • Posts: 7492
  • When Summer comes...
Re: Info on MC31 builds
« Reply #13 on: August 10, 2023, 11:21:57 am »

You're probably going to have to try installing it and running it and see what happens. I don't think anyone has tried Zorin OS with MC for Linux.

There is a chance though you may encounter dependencies being too old issues, it's hard to say. MC31 still works fine with Ubuntu 22.04 LTS, but it's hard to say with any other distros based on it (as there's no telling if they changed anything in regards to this).
Logged
I don't work for JRiver... I help keep the forums safe from Viagra and other sources of sketchy pharmaceuticals.

Windows 11 2024 Update (24H2) 64-bit + Ubuntu 24.04 LTS Noble Numbat 64-bit | Windows 11 2024 Update (24H2) 64-bit (Intel N305 Fanless NUC 16GB RAM/500GB M.2 NVMe SSD)
JRiver Media Center 32 (Windows + Linux) | iFi ZEN DAC 3 | JBL 306P MkII Studio Monitors | Audio-Technica ATH-M50x Headphones

BryanC

  • MC Beta Team
  • Citizen of the Universe
  • *****
  • Posts: 2585
Re: Info on MC31 builds
« Reply #14 on: August 10, 2023, 11:24:49 am »

I am using zorinOS 16.3 which is ubuntu 22.04 LTS.
Is there any build or process that can work for me?

Your best shot is probably running installJRMC in compatibility mode.

See: https://yabb.jriver.com/interact/index.php/topic,135999.0.html

Code: [Select]
./installJRMC --install local --compat --debug
I've not tested ZorinOS, if you run into issues please provide the installJRMC debugging output in the linked thread.
Logged

cthdt

  • Recent member
  • *
  • Posts: 9
Re: Info on MC31 builds
« Reply #15 on: August 10, 2023, 02:36:55 pm »

I get this:

t@fredrik-ThinkPad-T430s:/home/fredrik# ./installJRMC --install repo --compat --debug
Debug: Running: main --install repo --compat --debug
Debug: Running: init
Starting installJRMC
Debug: Detected host platform: zorin 16 amd64
Error: Autodetecting distro, this is unreliable and --compat may be required
Debug: Using host platform: ubuntu 16
Debug: Running: parseInput
Debug: Debugging on
Debug: installJRMC version: 1.0-rc9
Debug: Running: setMCVersion
Determining latest MC version
Debug: Running: installPackage --silent buildah
Debug: sudo apt-get -f install -y -q0 buildah
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package buildah
Debug: Running: installPackage wget
Debug: wget already installed, skipping installation
Using MC version 31.0.42 determined by webscrape
To override, use --mcversion
Debug: MVERSION: 31, MC_VERSION: 31.0.42, MC_PKG: mediacenter31, MC_RPM: /home/fredrik/output/RPMS/x86_64/mediacenter31-31.0.42.x86_64.rpm
Installing JRiver Media Center from remote repository
Debug: Running: installMCFromRepo
Debug: sudo rm -rf /etc/apt/sources.list.d/mediacenter*.list
Debug: Running: installPackage wget
Debug: wget already installed, skipping installation
Debug: sudo apt-get update -y -q0
Hit:1 http://ae.archive.ubuntu.com/ubuntu focal InRelease
Get:2 http://security.ubuntu.com/ubuntu focal-security InRelease [114 kB]     
Hit:3 http://ppa.launchpad.net/camel-neeraj/sysmontask/ubuntu focal InRelease 
Hit:4 http://archive.canonical.com/ubuntu focal InRelease                     
Get:5 http://ae.archive.ubuntu.com/ubuntu focal-updates InRelease [114 kB]     
Hit:6 https://download.mono-project.com/repo/ubuntu stable-focal InRelease     
Hit:7 https://download.mono-project.com/repo/ubuntu stable-bionic InRelease   
Hit:8 http://ppa.launchpad.net/zorinos/apps/ubuntu focal InRelease             
Hit:9 http://dist.jriver.com/latest/mediacenter bullseye InRelease             
Hit:10 http://ppa.launchpad.net/zorinos/drivers/ubuntu focal InRelease         
Get:11 http://ae.archive.ubuntu.com/ubuntu focal-backports InRelease [108 kB] 
Hit:12 http://ppa.launchpad.net/zorinos/patches/ubuntu focal InRelease         
Hit:13 https://packages.zorinos.com/stable focal InRelease                 
Get:14 http://ppa.launchpad.net/zorinos/stable/ubuntu focal InRelease [18.1 kB]
Hit:15 https://packages.zorinos.com/patches focal InRelease                   
Get:16 http://security.ubuntu.com/ubuntu focal-security/main amd64 DEP-11 Metadata [59.9 kB]
Get:17 http://ae.archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages [2,735 kB]
Get:18 http://security.ubuntu.com/ubuntu focal-security/universe amd64 Packages [869 kB]
Hit:19 https://packages.zorinos.com/apps focal InRelease                       
Hit:20 https://packages.zorinos.com/drivers focal InRelease                   
Get:21 http://security.ubuntu.com/ubuntu focal-security/universe i386 Packages [610 kB]
Get:22 http://security.ubuntu.com/ubuntu focal-security/universe Translation-en [182 kB]
Get:23 http://security.ubuntu.com/ubuntu focal-security/universe amd64 DEP-11 Metadata [96.4 kB]
Get:24 http://security.ubuntu.com/ubuntu focal-security/multiverse amd64 DEP-11 Metadata [940 B]
Hit:25 https://packages.zorinos.com/premium focal InRelease                   
Get:26 http://ae.archive.ubuntu.com/ubuntu focal-updates/main i386 Packages [861 kB]
Get:27 http://ae.archive.ubuntu.com/ubuntu focal-updates/main Translation-en [454 kB]
Get:28 http://ae.archive.ubuntu.com/ubuntu focal-updates/main amd64 DEP-11 Metadata [275 kB]
Get:29 http://ae.archive.ubuntu.com/ubuntu focal-updates/main amd64 c-n-f Metadata [17.0 kB]
Get:30 http://ae.archive.ubuntu.com/ubuntu focal-updates/restricted amd64 Packages [2,159 kB]
Get:31 http://ae.archive.ubuntu.com/ubuntu focal-updates/restricted Translation-en [302 kB]
Get:32 http://ae.archive.ubuntu.com/ubuntu focal-updates/universe amd64 Packages [1,099 kB]
Get:33 http://ae.archive.ubuntu.com/ubuntu focal-updates/universe i386 Packages [742 kB]
Get:34 http://ae.archive.ubuntu.com/ubuntu focal-updates/universe Translation-en [263 kB]
Get:35 http://ae.archive.ubuntu.com/ubuntu focal-updates/universe amd64 DEP-11 Metadata [410 kB]
Get:36 http://ae.archive.ubuntu.com/ubuntu focal-updates/universe amd64 c-n-f Metadata [25.4 kB]
Get:37 http://ae.archive.ubuntu.com/ubuntu focal-updates/multiverse amd64 DEP-11 Metadata [944 B]
Get:38 http://ae.archive.ubuntu.com/ubuntu focal-backports/main amd64 DEP-11 Metadata [7,944 B]
Get:39 http://ae.archive.ubuntu.com/ubuntu focal-backports/universe amd64 DEP-11 Metadata [30.5 kB]
Fetched 11.6 MB in 4s (2,578 kB/s)                                           
Reading package lists... Done
N: Skipping acquisition of configured file 'main/binary-i386/Packages', as repository 'https://download.mono-project.com/repo/ubuntu stable-focal InRelease' doesn't support architecture 'i386'
Debug: Running: installMesa
Debug: Running: installPackage --no-install-check --allow-downgrades --no-gpg-check mediacenter31
Debug: sudo apt-get -f install -y -q0 --allow-downgrades mediacenter31
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
 mediacenter31 : Depends: libasound2 (>= 1.2.4)
                 Depends: libnss3 (>= 2:3.61) but 2:3.49.1-1ubuntu1.9 is to be installed
                 Depends: libnspr4 (>= 2:4.29) but 2:4.25-1 is to be installed
                 Depends: libfreetype6 (>= 2.10.4) but 2.10.1-2ubuntu0.3 is to be installed
                 Depends: libharfbuzz0b (>= 2.7.4) but 2.6.4-1ubuntu4.2 is to be installed
                 Depends: libva2 (>= 2.10.0) but 2.7.0-2 is to be installed
                 Depends: libva-drm2 (>= 2.10) but 2.7.0-2 is to be installed
                 Depends: libvulkan1 (>= 1.2.162) but 1.2.131.2-1 is to be installed
E: Unable to correct problems, you have held broken packages.
Error: Failed to install mediacenter31. Attempting to continue
Error: Package install failed!
Error: JRiver Media Center installation from remote repository failed
Logged

cthdt

  • Recent member
  • *
  • Posts: 9
Re: Info on MC31 builds
« Reply #16 on: August 10, 2023, 02:41:26 pm »

Local Install:
root@fredrik-ThinkPad-T430s:/home/fredrik# ./installJRMC --install local --compat --debug
Debug: Running: main --install local --compat --debug
Debug: Running: init
Starting installJRMC
Debug: Detected host platform: zorin 16 amd64
Error: Autodetecting distro, this is unreliable and --compat may be required
Debug: Using host platform: ubuntu 16
Debug: Running: parseInput
Debug: Debugging on
Debug: installJRMC version: 1.0-rc9
Debug: Running: setMCVersion
Determining latest MC version
Debug: Running: installPackage --silent buildah
Debug: sudo apt-get -f install -y -q0 buildah
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package buildah
Debug: Running: installPackage wget
Debug: wget already installed, skipping installation
Using MC version 31.0.42 determined by webscrape
To override, use --mcversion
Debug: MVERSION: 31, MC_VERSION: 31.0.42, MC_PKG: mediacenter31, MC_RPM: /home/fredrik/output/RPMS/x86_64/mediacenter31-31.0.42.x86_64.rpm
Debug: Running: installPackage wget
Debug: wget already installed, skipping installation
Debug: mkdir -p /home/fredrik/output/SOURCES
Debug: Running: acquireDeb
Debug: MC_DEB=/home/fredrik/output/SOURCES/MediaCenter-31.0.42-amd64.deb
Checking latest repo for DEB package
Debug: wget -q -O /home/fredrik/output/SOURCES/MediaCenter-31.0.42-amd64.deb https://files.jriver-cdn.com/mediacenter/channels/v31/latest/MediaCenter-31.0.42-amd64.deb
Found!
Downloaded MC 31.0.42 DEB to /home/fredrik/output/SOURCES/MediaCenter-31.0.42-amd64.deb
Debug: Running: installMCDEB
Debug: ar x /home/fredrik/output/SOURCES/MediaCenter-31.0.42-amd64.deb
Debug: tar xJf control.tar.xz
Debug: tar -cJf control.tar.xz control postinst
Debug: ar rcs /home/fredrik/output/SOURCES/MediaCenter-31.0.42-amd64.compat.deb debian-binary control.tar.xz data.tar.xz
Debug: rm -rf /tmp/tmp.Q9o4n4ekFX
Debug: Running: installPackage --no-install-check --no-gpg-check --allow-downgrades /home/fredrik/output/SOURCES/MediaCenter-31.0.42-amd64.compat.deb
Debug: sudo apt-get -f install -y -q0 --allow-downgrades /home/fredrik/output/SOURCES/MediaCenter-31.0.42-amd64.compat.deb
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'mediacenter31' instead of '/home/fredrik/output/SOURCES/MediaCenter-31.0.42-amd64.compat.deb'
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
 mediacenter31 : Depends: libva1 but it is not installable
E: Unable to correct problems, you have held broken packages.
Error: Failed to install /home/fredrik/output/SOURCES/MediaCenter-31.0.42-amd64.compat.deb. Attempting to continue
Error: JRiver Media Center local package installation failed
Logged

Awesome Donkey

  • Administrator
  • Citizen of the Universe
  • *****
  • Posts: 7492
  • When Summer comes...
Re: Info on MC31 builds
« Reply #17 on: August 10, 2023, 02:48:04 pm »

Yeah, looks like it's too old unfortunately. In most cases the --compat flag should get it to at least install with the bare minimum dependencies needed, but looks like even then it looks like even then they're still too old.
Logged
I don't work for JRiver... I help keep the forums safe from Viagra and other sources of sketchy pharmaceuticals.

Windows 11 2024 Update (24H2) 64-bit + Ubuntu 24.04 LTS Noble Numbat 64-bit | Windows 11 2024 Update (24H2) 64-bit (Intel N305 Fanless NUC 16GB RAM/500GB M.2 NVMe SSD)
JRiver Media Center 32 (Windows + Linux) | iFi ZEN DAC 3 | JBL 306P MkII Studio Monitors | Audio-Technica ATH-M50x Headphones

BryanC

  • MC Beta Team
  • Citizen of the Universe
  • *****
  • Posts: 2585
Re: Info on MC31 builds
« Reply #18 on: August 10, 2023, 03:09:58 pm »

Right now it's just choking on libva, which isn't super critical, you'll be missing hardware acceleration. There could be other issues though, I can do a little testing to see if I can get it to run in a VM.
Logged

BryanC

  • MC Beta Team
  • Citizen of the Universe
  • *****
  • Posts: 2585
Re: Info on MC31 builds
« Reply #19 on: August 10, 2023, 03:42:27 pm »

I added a workaround for ZorinOS to my development branch.

You can run it with the following code block:

Code: [Select]
curl -O https://git.bryanroessler.com/bryan/installJRMC/raw/dev/installJRMC &&
chmod +x ./installJRMC &&
./installJRMC --install local --compat --debug

Some odd design choices for that OS, I must say.
Logged

Hendrik

  • Administrator
  • Citizen of the Universe
  • *****
  • Posts: 10804
Re: Info on MC31 builds
« Reply #20 on: August 10, 2023, 03:51:45 pm »

The runtime version of libva2 should be relatively flexible, I think. We just need to build against the latest available to unlock all features.
Logged
~ nevcairiel
~ Author of LAV Filters

BryanC

  • MC Beta Team
  • Citizen of the Universe
  • *****
  • Posts: 2585
Re: Info on MC31 builds
« Reply #21 on: August 10, 2023, 03:55:57 pm »

It was just a package naming issue. There's a compatibility workaround in installJRMC for *buntu <=16.04, it just happens that Zorin, although based on Ubuntu 22.04, uses its own versioning, in this case "16"  ::)

Hardware acceleration should be working too.
Logged

cthdt

  • Recent member
  • *
  • Posts: 9
Re: Info on MC31 builds
« Reply #22 on: August 12, 2023, 09:50:06 am »

It was just a package naming issue. There's a compatibility workaround in installJRMC for *buntu <=16.04, it just happens that Zorin, although based on Ubuntu 22.04, uses its own versioning, in this case "16"  ::)

Hardware acceleration should be working too.

Thanks,

MediaCenter31 builds now using compat mode on ZorinOS 16.3, thanks
Logged

2006bobm@gmail.com

  • Member
  • *
  • Posts: 1
Re: Info on MC31 builds
« Reply #23 on: October 12, 2023, 03:04:27 pm »

Greetings,
  I am a total newbie in regards to Linux and MC31.
I have Manjaro on a small Linux box , ProtectLI FW4B,
I purchased the 89.99 MC31 license and was expecting I could install on this Linux computer.
I have had no luck. Is it possible to use MC31 on this machine ?
Thank you
Rob
Logged

Awesome Donkey

  • Administrator
  • Citizen of the Universe
  • *****
  • Posts: 7492
  • When Summer comes...
Re: Info on MC31 builds
« Reply #24 on: October 12, 2023, 03:24:24 pm »

Manjaro is Arch Linux based, so you have to install the unofficial jriver-media-center package from the AUR. JRiver only officially supports Debian, so if you run into any issues installing and getting it to run you'd have to contact the AUR package maintainer (who isn't affiliated with JRiver).

https://aur.archlinux.org/packages/jriver-media-center

P.S. Somebody will need to flag the package as it's out-of-date now. If you want the latest version you'd have to modify the PKGBUILD yourself and build the package.
Logged
I don't work for JRiver... I help keep the forums safe from Viagra and other sources of sketchy pharmaceuticals.

Windows 11 2024 Update (24H2) 64-bit + Ubuntu 24.04 LTS Noble Numbat 64-bit | Windows 11 2024 Update (24H2) 64-bit (Intel N305 Fanless NUC 16GB RAM/500GB M.2 NVMe SSD)
JRiver Media Center 32 (Windows + Linux) | iFi ZEN DAC 3 | JBL 306P MkII Studio Monitors | Audio-Technica ATH-M50x Headphones

BryanC

  • MC Beta Team
  • Citizen of the Universe
  • *****
  • Posts: 2585
Re: Info on MC31 builds
« Reply #25 on: October 12, 2023, 07:35:57 pm »

installJRMC supports Arch Linux, it will create a proper up-to-date PKGBUILD. It should work on Manjaro too, but I haven't tested it in some time.

Quote
Greetings,
  I am a total newbie in regards to Linux and MC31.
I have Manjaro on a small Linux box , ProtectLI FW4B,
I purchased the 89.99 MC31 license and was expecting I could install on this Linux computer.
I have had no luck. Is it possible to use MC31 on this machine ?
Thank you
Rob

See: https://yabb.jriver.com/interact/index.php/topic,135999.0.html
Logged

alexopth1512

  • Recent member
  • *
  • Posts: 14
Re: Info on MC31 builds
« Reply #26 on: January 05, 2024, 06:04:49 am »

Incase someone is interested. It works perfectly in Raspi 5 with bookworm.
uname -a
Linux raspberrypi 6.1.0-rpi6-rpi-v8 #1 SMP PREEMPT Debian 1:6.1.58-1+rpt2 (2023-10-27) aarch64 GNU/Linux


Audio devices:
pi@raspberrypi:~ $ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: vc4hdmi1 [vc4-hdmi-1], device 0: MAI PCM i2s-hifi-0 [MAI PCM i2s-hifi-0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: sndallodigione [snd_allo_digione], device 0: Allo DigiOne HiFi wm8804-spdif-0 [Allo DigiOne HiFi wm8804-spdif-0]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 2: Amanero [Combo384 Amanero], device 0: USB Audio [USB Audio]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 3: D90SE [D90SE], device 0: USB Audio [USB Audio]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
Logged

Facel

  • World Citizen
  • ***
  • Posts: 201
Re: Info on MC31 builds
« Reply #27 on: January 05, 2024, 08:51:26 am »

@alexopth1512  => Is the RPI5 capable of playing (via MC31) any video without a problem ?
Logged

alexopth1512

  • Recent member
  • *
  • Posts: 14
Re: Info on MC31 builds
« Reply #28 on: January 06, 2024, 11:43:52 am »

@alexopth1512  => Is the RPI5 capable of playing (via MC31) any video without a problem ?

Hi I tried 1080p of about 10GB file and it was ok with 60% CPU.
I also tried LOTR I 4k 111GB file and it did some breaking with 100%CPU. VLC played fine with 60% CPU. Here is the data from last video:
  Metadata:
    ENCODER         : Lavf58.78.100
  Duration: 03:48:18.35, start: 0.000000, bitrate: 68944 kb/s
  Stream #0:0: Video: hevc (Main 10), yuv420p10le(tv, bt2020nc/bt2020/smpte2084), 3840x2160 [SAR 1:1 DAR 16:9], 23.98 fps, 23.98 tbr, 1k tbn (default)
    Metadata:
Logged

vitaly-zdanevich

  • Recent member
  • *
  • Posts: 14
Re: Info on MC31 builds
« Reply #29 on: February 27, 2024, 02:17:12 pm »

Where is the download link?
Logged

Awesome Donkey

  • Administrator
  • Citizen of the Universe
  • *****
  • Posts: 7492
  • When Summer comes...
Re: Info on MC31 builds
« Reply #30 on: February 27, 2024, 02:32:04 pm »

Where is the download link?

The last build of MC31 can be found here: https://yabb.jriver.com/interact/index.php/topic,137411.0.html

It's going to depend on your distro though. Likely much easier to use the installJRMC script.
Logged
I don't work for JRiver... I help keep the forums safe from Viagra and other sources of sketchy pharmaceuticals.

Windows 11 2024 Update (24H2) 64-bit + Ubuntu 24.04 LTS Noble Numbat 64-bit | Windows 11 2024 Update (24H2) 64-bit (Intel N305 Fanless NUC 16GB RAM/500GB M.2 NVMe SSD)
JRiver Media Center 32 (Windows + Linux) | iFi ZEN DAC 3 | JBL 306P MkII Studio Monitors | Audio-Technica ATH-M50x Headphones

vitaly-zdanevich

  • Recent member
  • *
  • Posts: 14
Re: Info on MC31 builds
« Reply #31 on: February 27, 2024, 03:48:51 pm »

Logged
Pages: [1]   Go Up